package ters.dao.hibernate;

import java.io.Serializable;

public class Client implements Serializable {

    /** identifier field */
    private String identificador;

    /** persistent field */
    private String descriptor;

    /** persistent field */
    private String nom;

    /** persistent field */
    private String email;

    /** persistent field */
    private String direccio;

    /** persistent field */
    private boolean actiu;

    /** persistent field */
    private String comentaris;

    /** persistent field */
    private String tel1;

    /** persistent field */
    private String tel2;

    /** full constructor */
    public Client(String identificador, String descriptor, String nom, String email, String direccio, boolean actiu, String comentaris, String tel1, String tel2) {
        this.identificador = identificador;
        this.descriptor = descriptor;
        this.nom = nom;
        this.email = email;
        this.direccio = direccio;
        this.actiu = actiu;
        this.comentaris = comentaris;
        this.tel1 = tel1;
        this.tel2 = tel2;
    }

    /** default constructor */
    public Client() {
    }

    public String getIdentificador() {
        return this.identificador;
    }

    public void setIdentificador(String identificador) {
        this.identificador = identificador;
    }

    public String getDescriptor() {
        return this.descriptor;
    }

    public void setDescriptor(String descriptor) {
        this.descriptor = descriptor;
    }
    
    public String getNom() {
        return this.nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }
    
    public String getEmail() {
        return this.email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getDireccio() {
        return this.direccio;
    }

    public void setDireccio(String direccio) {
        this.direccio = direccio;
    }
    
    public boolean getActiu() {
        return this.actiu;
    }

    public void setActiu(boolean actiu) {
        this.actiu = actiu;
    }
    
    public String getComentaris() {
        return this.comentaris;
    }

    public void setComentaris(String comentaris) {
        this.comentaris = comentaris;
    }
    
    public String getTel1() {
        return this.tel1;
    }

    public void setTel1(String tel1) {
        this.tel1 = tel1;
    }
    
    public String getTel2() {
        return this.tel2;
    }

    public void setTel2(String tel2) {
        this.tel2 = tel2;
    }

}