package ters.dao.hibernate;

import java.io.Serializable;

public class Horari implements Serializable {

    /** identifier field */
    private Integer id;

    /** persistent field */
    private String idUsuari;

    /** persistent field */
    private String idProjecte;

    /** persistent field */
    private String setmana;

    /** persistent field */
    private int horesDilluns;

    /** persistent field */
    private int horesDimarts;

    /** persistent field */
    private int horesDimecres;

    /** persistent field */
    private int horesDijous;

    /** persistent field */
    private int horesDivendres;

    /** persistent field */
    private int horesDissabte;

    /** persistent field */
    private int horesDiumenge;

    /** persistent field */
    private String descripcio;

    /** full constructor */
    public Horari(Integer id, String idUsuari, String idProjecte, String setmana, int horesDilluns, int horesDimarts, int horesDimecres, int horesDijous, int horesDivendres, int horesDissabte, int horesDiumenge, String descripcio) {
        this.id = id;
        this.idUsuari = idUsuari;
        this.idProjecte = idProjecte;
        this.setmana = setmana;
        this.horesDilluns = horesDilluns;
        this.horesDimarts = horesDimarts;
        this.horesDimecres = horesDimecres;
        this.horesDijous = horesDijous;
        this.horesDivendres = horesDivendres;
        this.horesDissabte = horesDissabte;
        this.horesDiumenge = horesDiumenge;
        this.descripcio = descripcio;
    }

    /** default constructor */
    public Horari() {
    }

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIdUsuari() {
        return this.idUsuari;
    }

    public void setIdUsuari(String idUsuari) {
        this.idUsuari = idUsuari;
    }

    public String getIdProjecte() {
        return this.idProjecte;
    }

    public void setIdProjecte(String idProjecte) {
        this.idProjecte = idProjecte;
    }

    public String getSetmana() {
        return this.setmana;
    }

    public void setSetmana(String setmana) {
        this.setmana = setmana;
    }
    
    public int getHoresDilluns() {
        return this.horesDilluns;
    }

    public void setHoresDilluns(int horesDilluns) {
        this.horesDilluns = horesDilluns;
    }

    public int getHoresDimarts() {
        return this.horesDimarts;
    }

    public void setHoresDimarts(int horesDimarts) {
        this.horesDimarts = horesDimarts;
    }

    public int getHoresDimecres() {
        return this.horesDimecres;
    }

    public void setHoresDimecres(int horesDimecres) {
        this.horesDimecres = horesDimecres;
    }

    public int getHoresDijous() {
        return this.horesDijous;
    }

    public void setHoresDijous(int horesDijous) {
        this.horesDijous = horesDijous;
    }

    public int getHoresDivendres() {
        return this.horesDivendres;
    }

    public void setHoresDivendres(int horesDivendres) {
        this.horesDivendres = horesDivendres;
    }

    public int getHoresDissabte() {
        return this.horesDissabte;
    }

    public void setHoresDissabte(int horesDissabte) {
        this.horesDissabte = horesDissabte;
    }

    public int getHoresDiumenge() {
        return this.horesDiumenge;
    }

    public void setHoresDiumenge(int horesDiumenge) {
        this.horesDiumenge = horesDiumenge;
    }
    
    public String getDescripcio() {
        return this.descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

}