package ters.dao.hibernate;

import java.io.Serializable;

public class Usuari implements Serializable {

    /** persistent field */
    private String idUsuari;

    /** persistent field */
    private String nom;

    /** persistent field */
    private String contrassenya;
    
    /** persistent field */
    private String email;

    /** persistent field */
    private String direccio;

    /** persistent field */
    private int tipus;

    /** persistent field */
    private boolean actiu;

    /** persistent field */
    private String comentaris;

    /** persistent field */
    private String tel1;

    /** persistent field */
    private String tel2;

    /** full constructor */
    public Usuari(String idUsuari, String nom, String contrassenya, String email, String direccio, int tipus, boolean actiu, String comentaris, String tel1, String tel2) {
        this.idUsuari = idUsuari;
        this.nom = nom;
        this.contrassenya = contrassenya;
        this.email = email;
        this.direccio = direccio;
        this.tipus = tipus;
        this.actiu = actiu;
        this.comentaris = comentaris;
        this.tel1 = tel1;
        this.tel2 = tel2;
    }

    /** default constructor */
    public Usuari() {
    }

    public String getIdUsuari() {
        return this.idUsuari;
    }

    public void setIdUsuari(String idUsuari) {
        this.idUsuari = idUsuari;
    }
    
    public String getNom() {
        return this.nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }
    
    public String getContrassenya() {
        return this.contrassenya;
    }

    public void setContrassenya(String contrassenya) {
        this.contrassenya = contrassenya;
    }
    
    public String getEmail() {
        return this.email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getDireccio() {
        return this.direccio;
    }

    public void setDireccio(String direccio) {
        this.direccio = direccio;
    }
    
    public int getTipus() {
        return this.tipus;
    }

    public void setTipus(int tipus) {
        this.tipus = tipus;
    }
    
    public boolean getActiu() {
        return this.actiu;
    }

    public void setActiu(boolean actiu) {
        this.actiu = actiu;
    }
    
    public String getComentaris() {
        return this.comentaris;
    }

    public void setComentaris(String comentaris) {
        this.comentaris = comentaris;
    }
    
    public String getTel1() {
        return this.tel1;
    }

    public void setTel1(String tel1) {
        this.tel1 = tel1;
    }
    
    public String getTel2() {
        return this.tel2;
    }

    public void setTel2(String tel2) {
        this.tel2 = tel2;
    }

}
