package ters.web.struts;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ActionContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.apache.struts2.interceptor.ServletResponseAware;
import ters.services.ServiceFinder;
import java.util.ArrayList;
import java.util.List;
import java.util.Date;
import java.util.Calendar;
import java.text.*;
import java.util.*;

public class EditDespesa extends ActionSupport{

    private String oper = "edit";
    private Integer id;
    private String idDespesa;
    private String idProjecte;
    private String idUsuari;
    private Date data;
    private String descripcio;
    private double valor;

    public String execute() throws Exception {

		//Retrieve the DAO Reference
		ters.dao.SpringHibernateDAO springHibernateDAO = (ters.dao.SpringHibernateDAO) ServiceFinder.getContext(org.apache.struts2.ServletActionContext.getServletContext())
		  		.getBean("SpringHibernateDao");

		ters.dao.hibernate.Despesa despesa = new ters.dao.hibernate.Despesa();

System.out.println("OPER:" + oper);

	try {
	    if (oper.equalsIgnoreCase("add")) {

			Map session = ActionContext.getContext().getSession();
		idUsuari = (String)session.get("userID");
		despesa.setIdDespesa(idDespesa);
		despesa.setIdUsuari(idUsuari);
		despesa.setIdProjecte(idProjecte);
		despesa.setData(data);
		despesa.setValor(valor);
		despesa.setDescripcio(descripcio);

		springHibernateDAO.afegirDespesa(despesa);


	    } else if (oper.equalsIgnoreCase("edit")) {

		despesa = springHibernateDAO.loadDespesa(Integer.toString(id));
		despesa.setIdDespesa(idDespesa);
		despesa.setIdProjecte(idProjecte);
		despesa.setData(data);
		despesa.setValor(valor);
		despesa.setDescripcio(descripcio);

		springHibernateDAO.updateDespesa(despesa);

	    } else if (oper.equalsIgnoreCase("del")) {

		despesa = springHibernateDAO.loadDespesa(Integer.toString(id));
		springHibernateDAO.deleteDespesa(despesa);

	    }

	} catch (Exception e) {
	    addActionError("ERROR : " + e.getLocalizedMessage());
System.out.println("ERROR : " + e.getLocalizedMessage());
	}
	return NONE;
    }


    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIdDespesa() {
        return this.idDespesa;
    }

    public void setIdDespesa(String idDespesa) {
        this.idDespesa = idDespesa;
    }

    public String getIdUsuari() {
        return this.idUsuari;
    }

    public void setIdUsuari(String idUsuari) {
        this.idUsuari = idUsuari;
    }

    public String getIdProjecte() {
        return this.idProjecte;
    }

    public void setIdProjecte(String idProjecte) {
        this.idProjecte = idProjecte;
    }

    public Date getData() {
        return this.data;
    }

    public void setData(Date data) {
        this.data = data;
    }
    public String getDescripcio() {
        return this.descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public double getValor() {
        return this.valor;
    }

    public void setValor(double valor) {
        this.valor = valor;
    }

    public void setOper(String oper) {
	this.oper = oper;
    }


}