package ters.web.struts;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ActionContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.apache.struts2.interceptor.ServletResponseAware;
import ters.services.ServiceFinder;
import java.util.ArrayList;
import java.util.List;
import java.util.Date;
import java.util.Calendar;
import java.text.*;
import java.util.*;

public class EditHorari extends ActionSupport{

    private String oper = "edit";
    private Integer id;
    private String idProjecte;
    private String idUsuari;
    private String setmana;
    private int horesDilluns;
    private int horesDimarts;
    private int horesDimecres;
    private int horesDijous;
    private int horesDivendres;
    private int horesDissabte;
    private int horesDiumenge;
    private String descripcio;

    public String execute() throws Exception {

		//Retrieve the DAO Reference
		ters.dao.SpringHibernateDAO springHibernateDAO = (ters.dao.SpringHibernateDAO) ServiceFinder.getContext(org.apache.struts2.ServletActionContext.getServletContext())
		  		.getBean("SpringHibernateDao");

		ters.dao.hibernate.Horari horari = new ters.dao.hibernate.Horari();

System.out.println("OPER:" + oper);

	try {
	    if (oper.equalsIgnoreCase("add")) {

			Map session = ActionContext.getContext().getSession();
		idUsuari = (String)session.get("userID");
		horari.setIdUsuari(idUsuari);
		horari.setIdProjecte(idProjecte);
		horari.setSetmana(session.get("setmana").toString());
		horari.setHoresDilluns(horesDilluns);
		horari.setHoresDimarts(horesDimarts);
		horari.setHoresDimecres(horesDimecres);
		horari.setHoresDijous(horesDijous);
		horari.setHoresDivendres(horesDivendres);
		horari.setHoresDissabte(horesDissabte);
		horari.setHoresDiumenge(horesDiumenge);
		horari.setDescripcio(descripcio);

		springHibernateDAO.afegirHorari(horari);


	    } else if (oper.equalsIgnoreCase("edit")) {

		horari = springHibernateDAO.loadHorari(Integer.toString(id));
		horari.setIdProjecte(idProjecte);
		horari.setHoresDilluns(horesDilluns);
		horari.setHoresDimarts(horesDimarts);
		horari.setHoresDimecres(horesDimecres);
		horari.setHoresDijous(horesDijous);
		horari.setHoresDivendres(horesDivendres);
		horari.setHoresDissabte(horesDissabte);
		horari.setHoresDiumenge(horesDiumenge);
		horari.setDescripcio(descripcio);

		springHibernateDAO.updateHorari(horari);

	    } else if (oper.equalsIgnoreCase("del")) {

		horari = springHibernateDAO.loadHorari(Integer.toString(id));
		springHibernateDAO.deleteHorari(horari);

	    }

	} catch (Exception e) {
	    addActionError("ERROR : " + e.getLocalizedMessage());
	}
	return NONE;
    }


    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIdUsuari() {
        return this.idUsuari;
    }

    public void setIdUsuari(String idUsuari) {
        this.idUsuari = idUsuari;
    }

    public String getIdProjecte() {
        return this.idProjecte;
    }

    public void setIdProjecte(String idProjecte) {
        this.idProjecte = idProjecte;
    }

    public String getSetmana() {
        return this.setmana;
    }

    public void setSetmana(String setmana) {
        this.setmana = setmana;
    }
    
    public int getHoresDilluns() {
        return this.horesDilluns;
    }

    public void setHoresDilluns(int horesDilluns) {
        this.horesDilluns = horesDilluns;
    }

    public int getHoresDimarts() {
        return this.horesDimarts;
    }

    public void setHoresDimarts(int horesDimarts) {
        this.horesDimarts = horesDimarts;
    }

    public int getHoresDimecres() {
        return this.horesDimecres;
    }

    public void setHoresDimecres(int horesDimecres) {
        this.horesDimecres = horesDimecres;
    }

    public int getHoresDijous() {
        return this.horesDijous;
    }

    public void setHoresDijous(int horesDijous) {
        this.horesDijous = horesDijous;
    }

    public int getHoresDivendres() {
        return this.horesDivendres;
    }

    public void setHoresDivendres(int horesDivendres) {
        this.horesDivendres = horesDivendres;
    }

    public int getHoresDissabte() {
        return this.horesDissabte;
    }

    public void setHoresDissabte(int horesDissabte) {
        this.horesDissabte = horesDissabte;
    }

    public int getHoresDiumenge() {
        return this.horesDiumenge;
    }

    public void setHoresDiumenge(int horesDiumenge) {
        this.horesDiumenge = horesDiumenge;
    }
    
    public String getDescripcio() {
        return this.descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public void setOper(String oper) {
	this.oper = oper;
    }


}