package ters.web.struts;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ActionContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.apache.struts2.interceptor.ServletResponseAware;
import ters.services.ServiceFinder;
import java.util.ArrayList;
import java.util.List;

public class ModificarConcepte extends ActionSupport implements 
  ServletRequestAware,ServletResponseAware{

	private HttpServletRequest request;
  	private HttpServletResponse response;

  public void setServletRequest(HttpServletRequest request){
  this.request = request;
  }

  public HttpServletRequest getServletRequest(){
  return request;
  }

  public void setServletResponse(HttpServletResponse response){
  this.response = response;
  }

  public HttpServletResponse getServletResponse(){
  return response;
  }

    public String execute() throws Exception {

		//Retrieve the DAO Reference
		ters.dao.SpringHibernateDAO springHibernateDAO = (ters.dao.SpringHibernateDAO) ServiceFinder.getContext(getServletRequest())
		  		.getBean("SpringHibernateDao");

		String strError = "";

		try {

					ters.dao.hibernate.Concepte pojoObj = new ters.dao.hibernate.Concepte();

					pojoObj.setIdentificador(getIdentificador());
					pojoObj.setDescriptor(getDescriptor());
					pojoObj.setFacturable(getFacturable());
					pojoObj.setDescripcio(getDescripcio());
					pojoObj.setActiu(getActiu());

					//Update the data
					springHibernateDAO.updateConcepte(pojoObj);
	
					return SUCCESS;

		} catch (Exception e) {
			strError = e.getMessage();
			System.out.println("===> Error:" + strError);
			return ERROR;
		}
	}

	public String display() {

		//Retrieve the DAO Reference
		ters.dao.SpringHibernateDAO springHibernateDAO = (ters.dao.SpringHibernateDAO) ServiceFinder.getContext(getServletRequest())
		  		.getBean("SpringHibernateDao");

		try {

		conceptesList = springHibernateDAO.getConceptesList();

		} catch (Exception e) {
			String strError = "";
			strError = e.getMessage();
			System.out.println("===> Error:" + strError);
		}

		return NONE;
	}

private List<String> conceptesList;

	public List<String> getConceptesList() {
		return conceptesList;
	}
 
	public void setConceptesList(List<String> conceptesList) {
		this.conceptesList = conceptesList;
	}

 
    private String identificador = null;

    public String getIdentificador() {
        return identificador;
    }

    public void setIdentificador(String value) {
        identificador = value;
    }


    private String descriptor = null;

    public String getDescriptor() {
        return descriptor;
    }

    public void setDescriptor(String value) {
        descriptor = value;
    }


    private boolean facturable = false;

    public boolean getFacturable() {
        return facturable;
    }

    public void setFacturable(boolean value) {
        facturable = value;
    }


    private String descripcio = null;

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String value) {
        descripcio = value;
    }


    private boolean actiu = false;

    public boolean getActiu() {
        return actiu;
    }

    public void setActiu(boolean value) {
        actiu = value;
    }


}