<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sj" uri="/struts-jquery-tags"%>
<%@ taglib prefix="sjg" uri="/struts-jquery-grid-tags"%>
<html>
<head>
<sj:head jqueryui="true" loadAtOnce="true" debug="true"/>
</head>
<body>
<s:hidden name="identificador"/>
<center>
<s:url id="myurl" action="gridDespesa.action">
	<s:param name="identificador"><%=request.getAttribute("identificador")%></s:param>
</s:url>
<s:url id="editurl" action="editDespesa.action"/>
    <sjg:grid
        id="gridtable"
        caption="Despesa"
        dataType="json"
        href="%{myurl}"
        pager="true"
	navigator="true"
    	navigatorSearchOptions="{sopt:['eq','ne','lt','gt']}"
    	navigatorAddOptions="{height:380,    		reloadAfterSubmit:true}"
    	navigatorEditOptions="{height:380,reloadAfterSubmit:false}"
    	navigatorEdit="false"
    	navigatorView="false"
    	navigatorDelete="true"
    	navigatorDeleteOptions="{height:250,reloadAfterSubmit:true}"
    	gridModel="gridModel"
    	rowList="10,15,20"
    	rowNum="15"
    	editurl="%{editurl}"
    	editinline="true"
    	onSelectRowTopics="rowselect"
    	onEditInlineSuccessTopics="oneditsuccess"
    	viewrecords="true"
	rownumbers="true"
    >
        <sjg:gridColumn name="id" index="id" title="id" key="true" formatter="integer" sortable="false" hidden="true"/>
        <sjg:gridColumn name="idDespesa" index="idDespesa" title="Concepte" sortable="true" editable="true" edittype="select" editoptions="%{opcionsConcepte}" />
        <sjg:gridColumn name="idProjecte" index="idProjecte" title="Projecte" width="120" editable="true" edittype="select" editoptions="%{opcionsProjecte}" sortable="true" />
        <sjg:gridColumn name="idUsuari" index="idUsuari" title="Usuari" sortable="false" hidden="true"/>
        <sjg:gridColumn name="data" index="data" title="Data" formatter="date" editable="true" sortable="true"/>
        <sjg:gridColumn name="valor" index="valor" title="Valor" formatter="currency" editable="true"
    		editrules="{
    			number: true,
    			required: true,
    			minValue : 0.00,
    			maxValue : 100000.00
    			}"
sortable="true"/>
        <sjg:gridColumn name="descripcio" index="descripcio" title="Descripcio" editable="true" edittype="text" sortable="false"/>
    </sjg:grid>
</center>
</body>
</html>