<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sj" uri="/struts-jquery-tags"%>
<%@ taglib prefix="sjg" uri="/struts-jquery-grid-tags"%>
<html>
<head>
<sj:head jqueryui="true" loadAtOnce="true" debug="true"/>
</head>
<body>
<s:label name="setmana" label="Setmana"/></br></br>
<center>
<s:url id="myurl" action="gridHorari.action" >
	<s:param name="setmana"><%=request.getAttribute("setmana")%></s:param>
</s:url>
<s:url id="editurl" action="editHorari.action"/>
    <sjg:grid
        id="gridtable"
        caption="Horari"
        dataType="json"
        href="%{myurl}"
        pager="true"
	navigator="true"
    	navigatorSearchOptions="{sopt:['eq','ne','lt','gt']}"
    	navigatorAddOptions="{height:380,    		reloadAfterSubmit:true}"
    	navigatorEditOptions="{height:380,reloadAfterSubmit:false}"
    	navigatorEdit="false"
    	navigatorView="false"
    	navigatorDelete="true"
    	navigatorDeleteOptions="{height:250,reloadAfterSubmit:true}"
    	gridModel="gridModel"
    	rowList="10,15,20"
    	rowNum="15"
    	editurl="%{editurl}"
    	editinline="true"
    	onSelectRowTopics="rowselect"
    	onEditInlineSuccessTopics="oneditsuccess"
    	viewrecords="true"
      rownumbers="true"
    >
        <sjg:gridColumn name="id" index="id" title="id" key="true" formatter="integer" sortable="false" hidden="true"/>
        <sjg:gridColumn name="idUsuari" index="idUsuari" title="Usuari" sortable="false" hidden="true"/>
        <sjg:gridColumn name="setmana" index="setmana" title="Setmana" sortable="false" hidden="true"/>
        <sjg:gridColumn name="idProjecte" index="idProjecte" title="Projecte" width="120" editable="true" edittype="select" editoptions="%{myEditOptions}" sortable="true"/>
        <sjg:gridColumn name="horesDissabte" index="horesDissabte" title="Dissabte" width="120"
editable="true" edittype="text" 
    		editrules="{
    			number: true,
    			required: false,
    			minValue : 0.0,
    			maxValue : 16.0
    			}"
	formatter="integer" sortable="true"/>
        <sjg:gridColumn name="horesDiumenge" index="horesDiumenge" title="Diumenge" width="120"
editable="true" edittype="text" 
    		editrules="{
    			number: true,
    			required: false,
    			minValue : 0.0,
    			maxValue : 16.0
    			}"
	formatter="integer" sortable="true"/>
        <sjg:gridColumn name="horesDilluns" index="horesDilluns" title="Dilluns" width="120"
editable="true" edittype="text" 
    		editrules="{
    			number: true,
    			required: false,
    			minValue : 0.0,
    			maxValue : 16.0
    			}"
	formatter="integer" sortable="true"/>
        <sjg:gridColumn name="horesDimarts" index="horesDimarts" title="Dimarts" width="120"
editable="true" edittype="text" 
    		editrules="{
    			number: true,
    			required: false,
    			minValue : 0.0,
    			maxValue : 16.0
    			}"
	formatter="integer" sortable="true"/>
        <sjg:gridColumn name="horesDimecres" index="horesDimecres" title="Dimecres" width="120"
editable="true" edittype="text" 
    		editrules="{
    			number: true,
    			required: false,
    			minValue : 0.0,
    			maxValue : 16.0
    			}"
	formatter="integer" sortable="true"/>
        <sjg:gridColumn name="horesDijous" index="horesDijous" title="Dijous" width="120"
editable="true" edittype="text" 
    		editrules="{
    			number: true,
    			required: false,
    			minValue : 0.0,
    			maxValue : 16.0
    			}"
	formatter="integer" sortable="true"/>
        <sjg:gridColumn name="horesDivendres" index="horesDivendres" title="Divendres" width="120"
editable="true" edittype="text" 
    		editrules="{
    			number: true,
    			required: false,
    			minValue : 0.0,
    			maxValue : 16.0
    			}"
	formatter="integer" sortable="true"/>
        <sjg:gridColumn name="descripcio" index="descripcio" title="Descripci" editable="true" edittype="text" sortable="false"/>
    </sjg:grid>
</center>
</body>
</html>