package ters.dao.hibernate;

import java.io.Serializable;

public class Concepte implements Serializable {

    /** identifier field */
    private String identificador;

    /** persistent field */
    private String descriptor;

    /** persistent field */
    private boolean actiu;

    /** persistent field */
    private boolean facturable;
    
    /** persistent field */
    private String descripcio;

    /** full constructor */
    public Concepte(String identificador, String descriptor, boolean actiu, boolean facturable, String descripcio) {
        this.identificador = identificador;
        this.descriptor = descriptor;
        this.actiu = actiu;
        this.facturable = facturable;
        this.descripcio = descripcio;
    }

    /** default constructor */
    public Concepte() {
    }

    public String getIdentificador() {
        return this.identificador;
    }

    public void setIdentificador(String identificador) {
        this.identificador = identificador;
    }
    
    public String getDescriptor() {
        return this.descriptor;
    }

    public void setDescriptor(String descriptor) {
        this.descriptor = descriptor;
    }

    public boolean getActiu() {
        return this.actiu;
    }

    public void setActiu(boolean actiu) {
        this.actiu = actiu;
    }

    public boolean getFacturable() {
        return this.facturable;
    }

    public void setFacturable(boolean facturable) {
        this.facturable = facturable;
    }
    
    public String getDescripcio() {
        return this.descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

}