package ters.dao.hibernate;

import java.util.Date;
import java.io.Serializable;

public class Despesa implements Serializable {

    /** identifier field */
    private Integer id;

    /** persistent field */
    private String idDespesa;

    /** persistent field */
    private String idUsuari;

    /** persistent field */
    private String idProjecte;

    /** persistent field */
    private Date data;

    /** persistent field */
    private double valor;

    /** persistent field */
    private String descripcio;

    /** full constructor */
    public Despesa(Integer id, String idDespesa, String idUsuari, String idProjecte, Date data, double valor, String descripcio) {
        this.id = id;
        this.idDespesa = idDespesa;
        this.idUsuari = idUsuari;
        this.idProjecte = idProjecte;
        this.data = data;
        this.valor = valor;
        this.descripcio = descripcio;
    }

    /** default constructor */
    public Despesa() {
    }

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIdDespesa() {
        return this.idDespesa;
    }

    public void setIdDespesa(String idDespesa) {
        this.idDespesa = idDespesa;
    }

    public String getIdUsuari() {
        return this.idUsuari;
    }

    public void setIdUsuari(String idUsuari) {
        this.idUsuari = idUsuari;
    }

    public String getIdProjecte() {
        return this.idProjecte;
    }

    public void setIdProjecte(String idProjecte) {
        this.idProjecte = idProjecte;
    }

    public Date getData() {
        return this.data;
    }

    public void setData(Date data) {
        this.data = data;
    }
    
    public double getValor() {
        return this.valor;
    }

    public void setValor(double valor) {
        this.valor = valor;
    }

    public String getDescripcio() {
        return this.descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

}