package ters.dao.hibernate;

import java.io.Serializable;

public class Projecte implements Serializable {

    /** identifier field */
    private String identificador;

    /** persistent field */
    private String descriptor;

    /** persistent field */
    private int hores;

    /** persistent field */
    private int despeses;

    /** persistent field */
    private int horesFacturades;

    /** persistent field */
    private int despesesFacturades;

    /** persistent field */
    private boolean actiu;

    /** persistent field */
    private String comentaris;

    /** persistent field */
    private String idClient;

    /** persistent field */
    private String idUsuari;

    /** full constructor */
    public Projecte(String identificador, String descriptor, int hores, int despeses, boolean actiu, String comentaris, String idClient, String idUsuari) {
        this.identificador = identificador;
        this.descriptor = descriptor;
        this.hores = hores;
        this.despeses = despeses;
        this.actiu = actiu;
        this.comentaris = comentaris;
        this.idClient = idClient;
        this.idUsuari = idUsuari;
    }

    /** default constructor */
    public Projecte() {
    }

    public String getIdentificador() {
        return this.identificador;
    }

    public void setIdentificador(String identificador) {
        this.identificador = identificador;
    }

    public String getDescriptor() {
        return this.descriptor;
    }

    public void setDescriptor(String descriptor) {
        this.descriptor = descriptor;
    }
    
    public int getHores() {
        return this.hores;
    }

    public void setHores(int hores) {
        this.hores = hores;
    }
    
    public int getDespeses() {
        return this.despeses;
    }

    public void setDespeses(int despeses) {
        this.despeses = despeses;
    }

    public int getHoresFacturades() {
        return this.horesFacturades;
    }

    public void setHoresFacturades(int horesFacturades) {
        this.horesFacturades = horesFacturades;
    }
    
    public int getDespesesFacturades() {
        return this.despesesFacturades;
    }

    public void setDespesesFacturades(int despesesFacturades) {
        this.despesesFacturades = despesesFacturades;
    }
    
    public boolean getActiu() {
        return this.actiu;
    }

    public void setActiu(boolean actiu) {
        this.actiu = actiu;
    }
    
    public String getComentaris() {
        return this.comentaris;
    }

    public void setComentaris(String comentaris) {
        this.comentaris = comentaris;
    }
    
    public String getIdClient() {
        return this.idClient;
    }

    public void setIdClient(String idClient) {
        this.idClient = idClient;
    }
    
    public String getIdUsuari() {
        return this.idUsuari;
    }

    public void setIdUsuari(String idUsuari) {
        this.idUsuari = idUsuari;
    }

}