package ters.web.struts;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ActionContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.apache.struts2.interceptor.ServletResponseAware;
import ters.services.ServiceFinder;
import java.util.ArrayList;
import java.util.List;
import java.util.Date;
import java.util.Calendar;
import java.text.*;

public class DetallDespesa extends ActionSupport implements 
  ServletRequestAware,ServletResponseAware{

	private HttpServletRequest request;
  	private HttpServletResponse response;

  public void setServletRequest(HttpServletRequest request){
  this.request = request;
  }

  public HttpServletRequest getServletRequest(){
  return request;
  }

  public void setServletResponse(HttpServletResponse response){
  this.response = response;
  }

  public HttpServletResponse getServletResponse(){
  return response;
  }

    public String execute() throws Exception {

		//Retrieve the DAO Reference
		ters.dao.SpringHibernateDAO springHibernateDAO = (ters.dao.SpringHibernateDAO) ServiceFinder.getContext(getServletRequest())
		  		.getBean("SpringHibernateDao");

		String strError = "";

		try {

			projectList = springHibernateDAO.getProjectsList();

			opcionsProjecte = "{value:'";
			for (int i = 0; i < projectList.size(); i++) {
				opcionsProjecte += projectList.get(i)+":"+projectList.get(i);
				if (i+1 < projectList.size()) opcionsProjecte += ";";
			}
			opcionsProjecte += "'}";

			conceptesList = springHibernateDAO.getConceptesList();

			opcionsConcepte = "{value:'";
			for (int i = 0; i < conceptesList.size(); i++) {
				opcionsConcepte += conceptesList.get(i)+":"+conceptesList.get(i);
				if (i+1 < conceptesList.size()) opcionsConcepte += ";";
			}
			opcionsConcepte += "'}";

				return SUCCESS;

		} catch (Exception e) {
			strError = e.getMessage();
			System.out.println("===> Error:" + strError);
			return ERROR;
		}
	}


private List<String> projectList;

	public List<String> getProjectList() {
		return projectList;
	}
 
	public void setProjectList(List<String> projectList) {
		this.projectList = projectList;
	}

private List<String> conceptesList;

	public List<String> getConceptesList() {
		return conceptesList;
	}
 
	public void setConceptesList(List<String> conceptesList) {
		this.conceptesList = conceptesList;
	}


    private String identificador;

    public String getIdentificador() {
        return identificador;
    }

    public void setIdentificador(String value) {
        identificador = value;
    }


  private String opcionsProjecte;

    public String getOpcionsProjecte(){
	  return opcionsProjecte;
    }


  private String opcionsConcepte;

    public String getOpcionsConcepte(){
	  return opcionsConcepte;
    }


}