package ters.web.struts;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ActionContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.apache.struts2.interceptor.ServletResponseAware;
import ters.services.ServiceFinder;
import java.util.ArrayList;
import java.util.List;
import java.util.Date;
import java.util.Calendar;
import java.text.*;
import java.util.*;

public class DetallHorari extends ActionSupport implements 
  ServletRequestAware,ServletResponseAware{

	private HttpServletRequest request;
  	private HttpServletResponse response;

  public void setServletRequest(HttpServletRequest request){
  this.request = request;
  }

  public HttpServletRequest getServletRequest(){
  return request;
  }

  public void setServletResponse(HttpServletResponse response){
  this.response = response;
  }

  public HttpServletResponse getServletResponse(){
  return response;
  }

    public String execute() throws Exception {

		//Retrieve the DAO Reference
		ters.dao.SpringHibernateDAO springHibernateDAO = (ters.dao.SpringHibernateDAO) ServiceFinder.getContext(getServletRequest())
		  		.getBean("SpringHibernateDao");

		String strError = "";

		try {

			projectList = springHibernateDAO.getProjectsList();

			myEditOptions = "{value:'";
			for (int i = 0; i < projectList.size(); i++) {
				myEditOptions += projectList.get(i)+":"+projectList.get(i);
				if (i+1 < projectList.size()) myEditOptions += ";";
			}
			myEditOptions += "'}";

			Date date = dia;
			Calendar cal = Calendar.getInstance();
 			cal.setTime(date);
			cal.add(Calendar.DATE,-(cal.get(Calendar.DAY_OF_WEEK) % 7));
			date.setTime( cal.getTime().getTime() );
			DateFormat formatter ; 
  			formatter = new SimpleDateFormat("dd/MM/yyyy"); 
        		setmana = formatter.format(date);

			Map session = ActionContext.getContext().getSession();
		  	session.put("setmana", setmana);
	
					return SUCCESS;

		} catch (Exception e) {
			strError = e.getMessage();
			System.out.println("===> Error:" + strError);
			return ERROR;
		}
	}

private List<String> projectList;

	public List<String> getProjectList() {
		return projectList;
	}
 
	public void setProjectList(List<String> projectList) {
		this.projectList = projectList;
	}


    private Date dia;

    public Date getDia() {
        return dia;
    }

    public void setDia(Date value) {
        dia = value;
    }


    private String setmana;

    public String getSetmana() {
        return setmana;
    }

    public void setSetmana(String value) {
        setmana = value;
    }


  private String myEditOptions;

    public String getMyEditOptions(){
	  return myEditOptions;
    }


}