package ters.web.struts;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.Interceptor;
import java.util.*;

public class Intercept implements Interceptor{

        //called during interceptor destruction
	public void destroy() {
		System.out.println("CustomInterceptor destroy() is called...");
	}

	//called during interceptor initialization
	public void init() {
		System.out.println("CustomInterceptor init() is called...");
	}
 
	//put interceptor code here
	public String intercept(ActionInvocation invocation) throws Exception {
 
		System.out.println("CustomInterceptor, before invocation.invoke()...");

Map parameters = ActionContext.getContext().getParameters();
Iterator it = parameters.entrySet().iterator();
    while (it.hasNext()) {
        Map.Entry pairs = (Map.Entry)it.next();
        System.out.println(pairs.getKey() + " = " + pairs.getValue());
    }
 
		String result = invocation.invoke();
 
		System.out.println("CustomInterceptor, after invocation.invoke()...");
 
		return result;
	}


}