package ters.web.struts;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ActionContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.apache.struts2.interceptor.ServletResponseAware;
import ters.services.ServiceFinder;
import java.util.*;


public  class Login  extends ActionSupport implements 
  ServletRequestAware,ServletResponseAware{

	private HttpServletRequest request;
  	private HttpServletResponse response;

    public String execute() throws Exception {

		String strUserid = getUsername();
		String strPassword = getPassword();

        System.out.println("Validate login: "+strUserid);

		//Retrieve the DAO Reference
		ters.dao.SpringHibernateDAO springHibernateDAO = (ters.dao.SpringHibernateDAO) ServiceFinder.getContext(getServletRequest())
		  		.getBean("SpringHibernateDao");

		boolean loginStatus = springHibernateDAO.checkUserLogin(strUserid,strPassword);

System.out.println("Login: "+loginStatus);

		if(!loginStatus){
            addActionError("Usuari o contrassenya invlids! Torna-ho a intentar!");
            return ERROR;
		}else{
			Map session = ActionContext.getContext().getSession();
		  			   session.put("userID", strUserid); 
		  			   		  			   
		  			   String tipus = String.valueOf(springHibernateDAO.getTipus(strUserid));
		  			    
		  			   session.put("tipus", tipus); 
		  			   
		  			   System.out.println("Session value:"+session.get("userID"));
		  			   System.out.println("Session type:"+session.get("tipus"));
			return SUCCESS;
		}
	}


  public void setServletRequest(HttpServletRequest request){
  this.request = request;
  }

  public HttpServletRequest getServletRequest(){
  return request;
  }

  public void setServletResponse(HttpServletResponse response){
  this.response = response;
  }

  public HttpServletResponse getServletResponse(){
  return response;
  }


    private String username = null;

    public String getUsername() {
        return username;
    }

    public void setUsername(String value) {
        username = value;
    }


    private String password = null;

    public String getPassword() {
        return password;
    }

    public void setPassword(String value) {
        password = value;
    }


}